# Results

### Json Result

If you want to have to request the extracted text in a JSON, you can request the following API route.

<mark style="color:blue;">`GET`</mark> `https://use.laigo.io/api/Result/v1/JobResults/<jobid>/json`

#### Query Parameters

| Name                                    | Type   | Description                            |
| --------------------------------------- | ------ | -------------------------------------- |
| jobId<mark style="color:red;">\*</mark> | String | Job Id from uploaded file to smartTool |

#### Headers

| Name                                          | Type   | Description                                                      |
| --------------------------------------------- | ------ | ---------------------------------------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | A JWT issued to your application by the Laigo identity provider. |

{% tabs %}
{% tab title="200: OK Returns json result" %}

{% endtab %}

{% tab title="400: Bad Request Incomplete request or insufficient Laigos" %}

{% endtab %}

{% tab title="401: Unauthorized Unauthorized call" %}

{% endtab %}

{% tab title="404: Not Found Required file is not found" %}

{% endtab %}
{% endtabs %}

### Zip Result

If you want to get the result as files (searchable PDF + Textfile), you can request the following API route.

<mark style="color:blue;">`GET`</mark> `https://use.laigo.io/api/Result/v1/JobResults/<jobid>/zip`

#### Query Parameters

| Name                                    | Type   | Description                            |
| --------------------------------------- | ------ | -------------------------------------- |
| jobId<mark style="color:red;">\*</mark> | String | Job Id from uploaded file to smartTool |

#### Headers

| Name                                          | Type   | Description                                                      |
| --------------------------------------------- | ------ | ---------------------------------------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | A JWT issued to your application by the Laigo identity provider. |

{% tabs %}
{% tab title="200: OK Returns zip file as a result" %}

{% endtab %}

{% tab title="400: Bad Request Incomplete request or insufficient Laigos" %}

{% endtab %}

{% tab title="401: Unauthorized Unauthorized call" %}

{% endtab %}

{% tab title="404: Not Found Required file is not found" %}

{% endtab %}
{% endtabs %}

### File Result

If you want to get the result as file (CSV), you can request the following API route.

<mark style="color:blue;">`GET`</mark> `https://use.laigo.io/api/Result/v1/JobResults/<jobid>/file`

#### Query Parameters

| Name                                         | Type   | Description                            |
| -------------------------------------------- | ------ | -------------------------------------- |
| jobId<mark style="color:red;">\*</mark>      | String | Job Id from uploaded file to smartTool |
| outputType<mark style="color:red;">\*</mark> | String | Requested file type                    |

#### Headers

| Name                                          | Type   | Description                                                      |
| --------------------------------------------- | ------ | ---------------------------------------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | A JWT issued to your application by the Laigo identity provider. |

{% tabs %}
{% tab title="200: OK Returns csv file as a result" %}

{% endtab %}

{% tab title="400: Bad Request Incomplete request or insufficient Laigos" %}

{% endtab %}

{% tab title="401: Unauthorized Unauthorized call" %}

{% endtab %}

{% tab title="404: Not Found Required file is not found" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.laigo.ai/smarttools-api/results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
